Skip to main content
POST
/
v0
/
events
POST /v0/events
curl --request POST \
  --url https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/events \
  --header 'Content-Type: application/json' \
  --data '
{
  "page_size": 500
}
'
{
  "events": [
    {
      "update": {
        "update_id": "<string>",
        "migration_id": 123,
        "workflow_id": "<string>",
        "record_time": "<string>",
        "synchronizer_id": "<string>",
        "effective_at": "<string>",
        "root_event_ids": [
          "<string>"
        ],
        "events_by_id": {},
        "external_transaction_hash": "<string>"
      },
      "verdict": {
        "update_id": "<string>",
        "migration_id": 123,
        "domain_id": "<string>",
        "record_time": "<string>",
        "finalization_time": "<string>",
        "submitting_parties": [
          "<string>"
        ],
        "submitting_participant_uid": "<string>",
        "mediator_group": 123,
        "transaction_views": {
          "views": [
            {
              "view_id": 123,
              "informees": [
                "<string>"
              ],
              "confirming_parties": [
                {
                  "parties": [
                    "<string>"
                  ],
                  "threshold": 123
                }
              ],
              "sub_views": [
                123
              ],
              "view_hash": "<string>"
            }
          ],
          "root_views": [
            123
          ]
        }
      },
      "traffic_summary": {
        "total_traffic_cost": 123,
        "envelope_traffic_summaries": [
          {
            "traffic_cost": 123,
            "view_ids": [
              123
            ]
          }
        ]
      },
      "app_activity_records": {
        "round_number": 123,
        "records": [
          {
            "party": "<string>",
            "weight": 123
          }
        ]
      }
    }
  ]
}

Body

application/json
page_size
integer<int32>
required

The maximum number of events returned for this request.

Required range: 1 <= x <= 1000
after
object

The events returned will either have a higher migration id or the same migration id and a record_time greater than the migration id and record time specified.

daml_value_encoding
enum<string>

How daml values should be encoded in the response. "compact_json" is a compact, human-readable JSON encoding. It is the same encoding as the one used in the HTTP JSON API or the JavaScript codegen. "protobuf_json" is a verbose JSON encoding that is more difficult to parse, but contains type information, i.e., the values can be parsed losslessly without having access to the Daml source code. Optional and defaults to "compact_json".

Available options:
compact_json,
protobuf_json

Response

ok

events
object[]
required